Bug 461952 - SSM text breaks in some Asian languages
SSM text breaks in some Asian languages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
Red Hat Network Quality Assurance
us=47228, Rally US139
:
Depends On:
Blocks: rhn-sprint47
  Show dependency treegraph
 
Reported: 2008-09-11 12:30 EDT by Amanda Carter
Modified: 2010-08-02 16:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 16:52:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amanda Carter 2008-09-11 12:30:26 EDT
Description of problem:

When selecting systems in SSM, text breaks in some Asian languages


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Log into rhn.redhat.com with an account that has Management entitlements
2. Change locale preference to Korean or Simplified Chinese (other languages may also be affected, please confirm)
3. Click on Systems tab
4. Select a system
5. Check text in top right corner, 2 places:

* In header beside 'Manage' button: X Systems Selected
* Above system table: X Selected
  
Actual results:

Text changes to question marks

Expected results:

Text should be displayed in appropriate language translation

Additional info:

If you refresh this page or navigate to another page, the error is corrected by itself.
Comment 1 Amy Owens 2008-09-11 14:24:20 EDT
I added a user story and got on backlog


http://wwwapps.rdu.redhat.com:8080/xplanner/do/view/userstory?oid=47228
Comment 2 Grant Gainey 2009-09-30 10:48:29 EDT
Some investigation - putting notes here so we don't lose them.

The page is using Ajax to talk back to the server on checkbox-click.  The server updates the SSM set, and also figures out the appropriate strings for the header and pagination based on the user's current locale setting.  Those strings are passed back to the Ajax library in the browser as a response, in the X-JSON header.

When that response leaves our code (and as far up the Tomcat stack as I could trace it), the strings are fine.  By the time the response gets back to the browser, however, it's been mangled.  The '??????' says to me that somewhere along the way, the string is going through a character-encoding that doesn't understand the APAC code set.  Western European languages aren't affected (which may give us a hint as to where to look for the broken encoder)

No ETA for a fix, just trying to get the state of the investigation written up.
Comment 3 Grant Gainey 2010-06-14 08:11:00 EDT
The culprit here is the underlying AJAX library.  It put s the returned data (which is already localized) into a header.  The character-encoding is ignored for headers - so by the time the response gets back to the browser, the header is attempting to render UTF-8 as Latin-1, and failing.
Comment 4 Grant Gainey 2010-06-14 12:49:12 EDT
commit 	b46a544a22600933cbb04f55980b3d1a3e01bd37
Comment 5 Denise Hughes 2010-06-18 14:41:54 EDT
Verified on webdev.

Note You need to log in before you can comment on or make changes to this bug.